Discover and List SVMs for Storage Array
Discovers SVMs from the ONTAP cluster for the specified storage array, compares with existing DB mappings, and returns each SVM with status.
Path Parameters
- arrayId int32 required
Responses
- 200
- 400
- 403
- 404
- 500
OK
- application/json
- Schema
- Example (from schema)
Schema
- errorCode int32
- errorMessage string
svms object[]
status ArraySvmStatusPossible values: [
NOT_ADDED,ADDED_AND_MAPPED,ADDED_AND_UNMAPPED,ADDED_AND_ORPHANED]arrayId int32DB id of the matched virtual array. Present for ADDED_AND_MAPPED, ADDED_AND_UNMAPPED, and ADDED_AND_ORPHANED states.
uniqueIdentifier stringSVM unique identifier used for matching and add validation.
arrayName stringSVM name.
ipSpace stringIPSpace associated with SVM.
{
"errorCode": 0,
"errorMessage": "string",
"svms": [
{
"status": "NOT_ADDED",
"arrayId": 0,
"uniqueIdentifier": "string",
"arrayName": "string",
"ipSpace": "string"
}
]
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Not Found
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Loading...